Bug 602075 - [abrt] crash in Miro-3.0.1-1.fc13: base.py:249:remove_child_from_widget:AttributeError: 'NoneType' object has no attribute 'hide'
Summary: [abrt] crash in Miro-3.0.1-1.fc13: base.py:249:remove_child_from_widget:Attri...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Miro (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:52e7b8c8
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-09 05:18 UTC by Ganapathi Kamath
Modified: 2010-09-15 05:52 UTC (History)
3 users (show)

Fixed In Version: Miro-3.0.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-14 05:04:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.47 KB, text/plain)
2010-06-09 05:18 UTC, Ganapathi Kamath
no flags Details

Description Ganapathi Kamath 2010-06-09 05:18:41 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/miro.real
comment: video playing in separate window, click-closed on item in main window play list 
component: Miro
executable: /usr/bin/miro.real
kernel: 2.6.33.5-112.fc13.x86_64
package: Miro-3.0.1-1.fc13
reason: base.py:249:remove_child_from_widget:AttributeError: 'NoneType' object has no attribute 'hide'
release: Fedora release 13 (Goddard)

backtrace
-----
base.py:249:remove_child_from_widget:AttributeError: 'NoneType' object has no attribute 'hide'

Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/gtk/threads.py", line 39, in wrap_idle_func
    func(*args, **kwargs)
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/application.py", line 1101, in handle_items_changed
    app.info_updater.handle_items_changed(message)
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/application.py", line 943, in handle_items_changed
    callback(message)
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/gtk/video.py", line 496, in _on_items_changed
    self._video_details.update_info(item_info)
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/gtk/video.py", line 422, in update_info
    self.rebuild_video_details()
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/gtk/video.py", line 259, in rebuild_video_details
    self.remove()
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/gtk/base.py", line 255, in remove
    self.remove_child_from_widget()
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/gtk/base.py", line 249, in remove_child_from_widget
    self._widget.get_child().hide() # otherwise gtkmozembed gets confused
AttributeError: 'NoneType' object has no attribute 'hide'

Local variables in innermost frame:
self: <miro.frontends.widgets.gtk.video.VideoDetailsWidget object at 0x52dc350>

Comment 1 Ganapathi Kamath 2010-06-09 05:18:43 UTC
Created attachment 422440 [details]
File: backtrace

Comment 2 Fedora Update System 2010-08-29 17:19:50 UTC
Miro-3.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14

Comment 3 Fedora Update System 2010-08-29 17:26:54 UTC
Miro-3.0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc13

Comment 4 Fedora Update System 2010-08-29 17:31:02 UTC
Miro-3.0.3-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc12

Comment 5 Fedora Update System 2010-08-30 19:41:40 UTC
Miro-3.0.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14

Comment 6 will kahn-greene 2010-08-30 21:10:08 UTC
We switched to webkit in Miro 3.0.3, so this isn't relevant anymore.

Comment 7 Fedora Update System 2010-09-14 05:02:33 UTC
Miro-3.0.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-09-15 05:34:27 UTC
Miro-3.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-09-15 05:49:34 UTC
Miro-3.0.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.